Summary: A Bootp and DHCP client for automatic IP configuration.
Name: pump
Version: 0.8.15
Release: b1
Group: System Environment/Daemons
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
Source: pump-%{version}.tar.bz2
Obsoletes: bootpc
BuildRequires: newt-devel
Requires: initscripts >= 3.92

BuildArchitectures: i586


%description
DHCP (Dynamic Host Configuration Protocol) and BOOTP (Boot Protocol)
are protocols which allow individual devices on an IP network to get
their own network configuration information (IP address, subnetmask,
broadcast address, etc.) from network servers. The overall purpose of
DHCP and BOOTP is to make it easier to administer a large network.

Pump is a combined BOOTP and DHCP client daemon, which allows your
machine to retrieve configuration information from a server. You
should install this package if you are on a network which uses BOOTP
or DHCP.

%package devel
Summary: Development tools for sending DHCP and BOOTP requests.
Group: Development/Libraries

%description devel
The pump-devel package provides system developers the ability to send
BOOTP and DHCP requests from their programs. BOOTP and DHCP are
protocols used to provide network configuration information to
networked machines.

%package -n netconfig
Group: Applications/System
Summary: A text-based tool for simple configuration of ethernet devices.

%description -n netconfig
A text-based tool for simple configuration of ethernet devices.


%prep
%setup -q

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall RPM_BUILD_ROOT=$RPM_BUILD_ROOT

##rm -f $RPM_BUILD_ROOT/sbin/pump $RPM_BUILD_ROOT%{_mandir}/man8/pump.8*
strip $RPM_BUILD_ROOT/sbin/pump

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/pump
#%{_mandir}/man8/pump.8.bz2

%files devel
%defattr(-,root,root)
%{_libdir}/libpump.a
%{_includedir}/pump.h

%files -n netconfig
%defattr(-,root,root)
%{_sbindir}/netconfig


%changelog
* Sat Jul 19 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from Rawhide
- pump-0.8.15-3.src.rpm
